using System;
using System.Collections.Generic;
using System.Text;
using ForeningModelInterfaceLibrary;

namespace ForeningModelClassLibrary
{
    public class Afdeling : IAfdeling
    {
        private string navn;
        public Afdeling(string initNavn)
        {
            this.navn = initNavn;
        }
        public string AflsNavn()
        {
            return this.navn;
        }
        public void RetNavn(string nytNavn)
        {
            this.navn = nytNavn;
        }
        public override string ToString()
        {
            return this.navn;
        }

        #region Data og metoder der vedrrer medlemmer

        private List<Medlem> medlemer = new List<Medlem>();

        public IMedlem OpretMedlem(string nytFornavn, string nytEfternavn)
        {
            Medlem nytMedlem = new Medlem(nytFornavn, nytEfternavn);
            medlemer.Add(nytMedlem);
            return nytMedlem;
        }

        public IMedlem FindMedlem(string sgeFornavn)
        {
            IMedlem fundetMedlem = null;
            foreach (IMedlem etMedlem in this.medlemer)
            {
                if (etMedlem.AflsFornavn() == sgeFornavn)
                {
                    fundetMedlem = etMedlem;
                    break;
                }
            }
            return fundetMedlem;
        }

        public IMedlem[] HentAlleMedlemmer()
        {
            return this.medlemer.ToArray();
        }

        public IMedlem[] HentAlleMedlemmerMedEfternavn(string sgeEfternavn)
        {
            List<IMedlem> fundneMedlemmer = new List<IMedlem>();
            foreach (IMedlem etMedlem in this.medlemer)
            {
                if (etMedlem.AflsEfternavn() == sgeEfternavn)
                {
                    fundneMedlemmer.Add(etMedlem);
                }
            }
            return fundneMedlemmer.ToArray();
        }

        #endregion


    }
}
