using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using ForeningModelInterfaceLibrary;
using ForeningModelClassLibrary;

namespace ForeningsWindowsApplication
{
    public partial class ForeningMainForm : Form
    {
        IForening aktuelForening;

        public ForeningMainForm()
        {
            InitializeComponent();

            //this.aktuelForening = new Forening("Min forening");
            ForeningsFasade.OpretForeningMedTestdata();
            this.aktuelForening = ForeningsFasade.GetForening();

            fyldAfdelingsListBoxOpMedAlleAfdelinger();
        }

        private void fyldAfdelingsListBoxOpMedAlleAfdelinger()
        {
            IAfdeling[] alleAfdelinger =
                this.aktuelForening.HentAlleAfdeling();
            this.lstAfdelinger.Items.Clear();
            this.lstAfdelinger.Items.AddRange(alleAfdelinger);
        }

        private void btnTilAfdeling_Click(object sender, EventArgs e)
        {
            AfdelingsForm nyAfdelingsForm =
                new AfdelingsForm(this.aktuelForening);
            nyAfdelingsForm.ShowDialog();
            fyldAfdelingsListBoxOpMedAlleAfdelinger();
        }

        private void lstAfdelinger_SelectedIndexChanged(object sender, EventArgs e)
        {
            IAfdeling selectedAfdeling =
                (IAfdeling)this.lstAfdelinger.SelectedItem;

            AfdelingsForm nyAfdelingsForm =
                new AfdelingsForm(this.aktuelForening,selectedAfdeling);
            nyAfdelingsForm.ShowDialog();
            fyldAfdelingsListBoxOpMedAlleAfdelinger();

        }
    }
}